Skip to content

Get an account membership

Identity module

GET/account-memberships/{id}accountMemberships.get

A person in an external organization's account. Returns one account membership with its `ETag`. A account membership the caller may not see returns 404.

  • Requires the capability me.account.write.
  • OAuth scopes: me.
  • Error statuses: 400, 401, 404, 429. Errors are RFC 9457 problem details.

Path and query parameters

accountMemberships.get: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the account membership.
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Constraints: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$

Response 200: AccountMembership

accountMemberships.get: AccountMembership
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the account membership.
created_atstring (date-time)YesWhen the row was created.
updated_atstring (date-time)YesWhen the row was last updated.
person_idstring (uuid)YesIdentifier of the member.
valid_fromstring (date-time)YesStart of account membership.
valid_tostring (date-time) | nullYesEnd of account membership.
{
  "id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "created_at": "2026-10-08T14:30:00Z",
  "updated_at": "2026-10-08T14:30:00Z",
  "person_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "valid_from": "2026-10-08T14:30:00Z",
  "valid_to": "2026-10-08T14:30:00Z"
}

Code samples

curl -X GET "$XOS_BASE_URL/account-memberships/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data, etag } = await xos.accountMemberships.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.account_memberships.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos account-memberships get 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f